ICU 74.2 74.2

Macros
ptypes.h File Reference

C API: Definitions of integer types of various widths. More...

`#include <stddef.h>`
`#include "unicode/platform.h"`

Go to the source code of this file.

## Macros
#define | __STDC_LIMIT_MACROS
| According to the Linux stdint.h, the ISO C99 standard specifies that in C++ implementations macros like INT32_MIN and UINTPTR_MAX should only be defined if explicitly requested.

## Detailed Description

C API: Definitions of integer types of various widths.

Definition in file ptypes.h.

## Macro Definition Documentation

## ◆ __STDC_LIMIT_MACROS

#define __STDC_LIMIT_MACROS

According to the Linux stdint.h, the ISO C99 standard specifies that in C++ implementations macros like INT32_MIN and UINTPTR_MAX should only be defined if explicitly requested.

We need to define __STDC_LIMIT_MACROS before including stdint.h in C++ code that uses such limit macros.

Internal:
  Do not use. This API is for internal use only.

Definition at line 39 of file ptypes.h.